Subject: Looking for Anvil

From: [email-masked]
Date: Wed, 22 May 1996 06:59:49 GMT

I am in the DC/Baltimore area and I am trying to find a 125-200 lb
anvil. (used but in great shape)   I have looked in several antique
shops, as well as a couple of farmers barns (with permission of
course) and have not found anyone willing to part with a one!  I found
a fully cast iron 75 lb anvil in an antique shop, but I can't use such
a thing for the kind of work that I do (knifemaking).  Please e-mail
me if you can help out.

Christopher F. Knowlton
The Prince of Hearth Home Castle
Ring of Steel Armory